org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization

## Interface AbstractReferenceInstance

All Known Subinterfaces:
  MultiValuedContainmentReferenceInstance, MultiValuedReferenceInstance, SingleValuedContainmentReferenceInstance, SingleValuedReferenceInstance

    public interface AbstractReferenceInstance

A representation of the model object 'Abstract Reference Instance'.

The following features are supported:

- `EReference`

See Also:
  `SerializationPackage.getAbstractReferenceInstance()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`EReference` `getEReference()` Returns the value of the 'EReference' reference.
`void` `setEReference(EReference value)` Sets the value of the '`EReference`' reference.

### Method Detail

#### getEReference

    EReference getEReference()

Returns the value of the 'EReference' reference.

If the meaning of the 'EReference' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'EReference' reference.
See Also:
  `setEReference(EReference)`, `SerializationPackage.getAbstractReferenceInstance_EReference()`
Generated:
Model:
  required="true"

#### setEReference

    void setEReference(EReference value)

Sets the value of the '`EReference`' reference.

Parameters:
  `value` - the new value of the 'EReference' reference.
See Also:
  `getEReference()`
Generated: